import { t as e } from "./_plugin-vue_export-helper-B3ysoDQm.js";
import { t } from "./engineCallFileType.zod-C-t93kQg.js";
import { computed as n, createBlock as r, createCommentVNode as i, createElementBlock as a, createElementVNode as o, createTextVNode as s, createVNode as c, defineComponent as l, openBlock as u, resolveComponent as d, toDisplayString as f, unref as p, withCtx as m } from "vue";
//#region src/components/on-demand/wt-screen-recordings-action/wt-screen-recordings-action.vue?vue&type=script&setup=true&lang.ts
var h = { class: "wt-screen-recordings-action" }, g = { class: "wt-screen-recordings-action__option" }, _ = /*#__PURE__*/ e(/* @__PURE__ */ l({
	__name: "wt-screen-recordings-action",
	props: { files: {} },
	emits: ["set-video"],
	setup(e, { emit: l }) {
		let _ = e, v = l, y = n(() => _?.files?.[t.FileTypeScreensharing]?.map(({ name: e, id: t, mimeType: n, type: r }) => ({
			text: e,
			id: t,
			mimeType: n,
			type: r
		}))), b = ({ option: e }) => {
			e.id && e.type === t.FileTypeScreensharing && v("set-video", e);
		};
		return (e, t) => {
			let n = d("wt-icon-btn"), l = d("wt-icon"), _ = d("wt-context-menu");
			return u(), a("div", h, [c(_, {
				options: y.value,
				"max-width": "400px",
				onClick: b
			}, {
				activator: m(({ toggle: e }) => [y.value?.length ? (u(), r(n, {
					key: 0,
					icon: "preview-tag-video",
					onClick: e
				}, null, 8, ["onClick"])) : i("", !0)]),
				option: m(({ text: e }) => [o("div", g, [c(l, { icon: "preview-tag-video" }), s(" " + f(e), 1)])]),
				_: 1
			}, 8, ["options"]), o("p", null, f(y.value?.length || p("-")), 1)]);
		};
	}
}), [["__scopeId", "data-v-a1fa5099"]]);
//#endregion
export { _ as default };
